org.eclipse.oomph.setup.mylyn.impl

## Class QueryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.mylyn.impl.QueryImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, Query

      public class QueryImpl
      extends ModelElementImpl
      implements Query

  An implementation of the model object 'Query'.

  The following features are implemented:

  - `Task`
  - `Summary`
  - `URL`
  - `Attributes`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EMap<String,String>` | `attributes` The cached value of the '`Attributes`' map.
    `protected String` | `summary` The cached value of the '`Summary`' attribute.
    `protected static String` | `SUMMARY_EDEFAULT` The default value of the '`Summary`' attribute.
    `protected String` | `uRL` The cached value of the '`URL`' attribute.
    `protected static String` | `URL_EDEFAULT` The default value of the '`URL`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotificationChain` | `basicSetTask(MylynQueriesTask newTask, NotificationChain msgs)`
    `NotificationChain` | `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EMap<String,String>` | `getAttributes()`
    `String` | `getSummary()`
    `MylynQueriesTask` | `getTask()`
    `String` | `getURL()`
    `void` | `setSummary(String newSummary)`
    `void` | `setTask(MylynQueriesTask newTask)`
    `void` | `setURL(String newURL)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### SUMMARY_EDEFAULT

          protected static final String SUMMARY_EDEFAULT

      The default value of the '`Summary`' attribute.
      See Also:
        `getSummary()`
      Generated
      Ordered

    - #### summary

          protected String summary

      The cached value of the '`Summary`' attribute.
      See Also:
        `getSummary()`
      Generated
      Ordered

    - #### URL_EDEFAULT

          protected static final String URL_EDEFAULT

      The default value of the '`URL`' attribute.
      See Also:
        `getURL()`
      Generated
      Ordered

    - #### uRL

          protected String uRL

      The cached value of the '`URL`' attribute.
      See Also:
        `getURL()`
      Generated
      Ordered

    - #### attributes

          protected EMap<String,String> attributes

      The cached value of the '`Attributes`' map.
      See Also:
        `getAttributes()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### QueryImpl

          protected QueryImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getTask

          public MylynQueriesTask getTask()

      Specified by:
        `getTask` in interface `Query`
      Returns:
        the value of the 'Task' container reference.
      See Also:
        `Query.setTask(MylynQueriesTask)`, `MylynPackage.getQuery_Task()`, `MylynQueriesTask.getQueries()`
      Generated

    - #### basicSetTask

          public NotificationChain basicSetTask(MylynQueriesTask newTask,
                                       NotificationChain msgs)

      Generated

    - #### setTask

          public void setTask(MylynQueriesTask newTask)

      Specified by:
        `setTask` in interface `Query`
      Parameters:
        `newTask` - the new value of the 'Task' container reference.
      See Also:
        `Query.getTask()`
      Generated

    - #### getSummary

          public String getSummary()

      Specified by:
        `getSummary` in interface `Query`
      Returns:
        the value of the 'Summary' attribute.
      See Also:
        `Query.setSummary(String)`, `MylynPackage.getQuery_Summary()`
      Generated

    - #### setSummary

          public void setSummary(String newSummary)

      Specified by:
        `setSummary` in interface `Query`
      Parameters:
        `newSummary` - the new value of the 'Summary' attribute.
      See Also:
        `Query.getSummary()`
      Generated

    - #### getURL

          public String getURL()

      Specified by:
        `getURL` in interface `Query`
      Returns:
        the value of the 'URL' attribute.
      See Also:
        `Query.setURL(String)`, `MylynPackage.getQuery_URL()`
      Generated

    - #### setURL

          public void setURL(String newURL)

      Specified by:
        `setURL` in interface `Query`
      Parameters:
        `newURL` - the new value of the 'URL' attribute.
      See Also:
        `Query.getURL()`
      Generated

    - #### getAttributes

          public EMap<String,String> getAttributes()

      Specified by:
        `getAttributes` in interface `Query`
      Returns:
        the value of the 'Attributes' map.
      See Also:
        `MylynPackage.getQuery_Attributes()`
      Generated

    - #### eInverseAdd

          public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                      int featureID,
                                      NotificationChain msgs)

      Overrides:
        `eInverseAdd` in class `ModelElementImpl`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eBasicRemoveFromContainerFeature

          public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

      Overrides:
        `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html